<app-header [activePage]="'shelves'"></app-header>

<div class="actions">
    <div class="filtre">
        <select [(ngModel)]="selectedStore" (change)="filtreWithStore()">
            <option [ngValue]="'0'">Tous les magasins</option>
            <option *ngFor="let store of stores" [ngValue]="store.id">{{store.name}}</option>
        </select>
    </div>
    <div>
        <button (click)="addArticle()">Ajouter un article</button>
    </div>
</div>


<table>
    <tr>
        <th id="shop">Magasin</th>
        <th id="shelve">Rayon</th>
        <th id="num">Numéro allée</th>
        <th id="ref">Référence</th>
        <th id="cats">Catégorie(s)</th>
        <th id="manager">Responsable</th>
        <th id="actions"></th>
    </tr>
    <tr *ngFor="let storeShelf of storeShelvesFilter| async" app-shelve [storeShelf]="storeShelf"></tr>
</table>`